> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Record

> Record

### Request body

`RecordActivityRequest`

<ParamField body="action" type="string" required />

<ParamField body="actor" type="string,null" />

<ParamField body="actor_kind" type="string,null">
  One of `user`, `system`, `integration`, `agent`.
</ParamField>

<ParamField body="metadata" type="object" />

<ParamField body="subject_id" type="string" required />

<ParamField body="subject_type" type="string" required />

<ParamField body="summary" type="string" required />

### Responses

<ResponseField name="201" type="ActivityLogResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/activity-logs' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "action": "string",
    "actor": null,
    "actor_kind": null,
    "metadata": {},
    "subject_id": "string",
    "subject_type": "string",
    "summary": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "action": "string",
    "actor": null,
    "actor_kind": "string",
    "created_at": "string",
    "id": "string",
    "metadata": {},
    "subject_id": "string",
    "subject_type": "string",
    "summary": "string"
  }
  ```
</ResponseExample>
